import request from '@/utils/request'

// 查询期刊阅读列表
export function listHomeView(query) {
  return request({
    url: '/his/homeView/list',
    method: 'get',
    params: query
  })
}

// 查询期刊阅读详细
export function getHomeView(viewId) {
  return request({
    url: '/his/homeView/' + viewId,
    method: 'get'
  })
}

// 新增期刊阅读
export function addHomeView(data) {
  return request({
    url: '/his/homeView',
    method: 'post',
    data: data
  })
}

// 修改期刊阅读
export function updateHomeView(data) {
  return request({
    url: '/his/homeView',
    method: 'put',
    data: data
  })
}

// 删除期刊阅读
export function delHomeView(viewId) {
  return request({
    url: '/his/homeView/' + viewId,
    method: 'delete'
  })
}

// 导出期刊阅读
export function exportHomeView(query) {
  return request({
    url: '/his/homeView/export',
    method: 'get',
    params: query
  })
}
